Opened 2 years ago

Last modified 12 months ago

#1941 assigned defect

Android: Failed to reseed on old versions

Reported by: zamzam Owned by: meeh
Priority: major Milestone: 0.9.35
Component: apps/android Version: 0.9.28
Keywords: Cc:
Parent Tickets:

Description

When I tried to run I2P on Android 4.0.4, it cannot bootstrap (reseed) the list of peers, after few minutes it says "Tunnels ready", and then "No connection".

02/06 18:05:52.710 vvv 1 similar message omitted vvv
02/06 18:05:49.708 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:49.588 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:05:46.706 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:46.655 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 39s
02/06 18:05:44.306 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.impl.I2PSessionImpl2$RemoveExpired@41e86f30
02/06 18:05:43.705 vvv 1 similar message omitted vvv
02/06 18:05:40.701 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:39.588 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:05:37.700 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:36.655 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 49s
02/06 18:05:35.306 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.impl.I2PSessionImpl$VerifyUsage@41dce7f8
02/06 18:05:34.699 vvv 1 similar message omitted vvv
02/06 18:05:31.698 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:29.586 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:05:28.696 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:26.654 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 59s
02/06 18:05:25.693 vvv 1 similar message omitted vvv
02/06 18:05:22.692 vvv 1 similar message omitted vvv
02/06 18:05:19.690 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:19.585 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:05:17.287 WARN  [Reseed      ] net.i2p.util.SSLEepGet        : All attempts failed for https://netdb.i2p2.no/i2pseeds.su3
02/06 18:05:17.287 WARN  [Reseed      ] net.i2p.util.SSLEepGet        : ERR: doFetch failed 
javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected netdb.i2p2.no - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
	at net.i2p.util.I2PSSLSocketFactory.verifyHostname(I2PSSLSocketFactory.java:324)
	at net.i2p.util.SSLEepGet.sendRequest(SSLEepGet.java:585)
	at net.i2p.util.EepGet.fetch(EepGet.java:639)
	at net.i2p.util.EepGet.fetch(EepGet.java:604)
	at net.i2p.util.EepGet.fetch(EepGet.java:594)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.fetchURL(Reseeder.java:988)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:728)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:05:17.287 WARN  [Reseed      ] uter.networkdb.reseed.Reseeder: EepGet failed on https://netdb.i2p2.no/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected netdb.i2p2.no - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
02/06 18:05:17.043 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.2
02/06 18:05:17.043 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.1
02/06 18:05:16.689 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:16.323 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded total of 16 new trusted certificates
02/06 18:05:16.323 vvv 1 similar message omitted vvv
02/06 18:05:16.140 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:05:15.737 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 123 default trusted certificates
02/06 18:05:15.305 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 11s
02/06 18:05:13.687 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:11.653 WARN  [Reseed      ] net.i2p.util.SSLEepGet        : All attempts failed for https://download.xxlspeed.com/i2pseeds.su3
02/06 18:05:11.653 WARN  [Reseed      ] net.i2p.util.SSLEepGet        : ERR: doFetch failed 
javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected download.xxlspeed.com - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
	at net.i2p.util.I2PSSLSocketFactory.verifyHostname(I2PSSLSocketFactory.java:324)
	at net.i2p.util.SSLEepGet.sendRequest(SSLEepGet.java:585)
	at net.i2p.util.EepGet.fetch(EepGet.java:639)
	at net.i2p.util.EepGet.fetch(EepGet.java:604)
	at net.i2p.util.EepGet.fetch(EepGet.java:594)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.fetchURL(Reseeder.java:988)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:728)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:05:11.653 WARN  [Reseed      ] uter.networkdb.reseed.Reseeder: EepGet failed on https://download.xxlspeed.com/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected download.xxlspeed.com - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
02/06 18:05:11.415 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.2
02/06 18:05:11.414 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.1
02/06 18:05:10.688 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded total of 16 new trusted certificates
02/06 18:05:10.688 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:05:10.686 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:10.296 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:05:10.026 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 123 default trusted certificates
02/06 18:05:09.584 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:05:07.685 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:05.835 ERROR [Reseed      ] uter.networkdb.reseed.Reseeder: Error reseeding
java.io.IOException: Bad zip file
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:05:05.304 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 21s
02/06 18:05:04.685 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:05:04.288 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.2
02/06 18:05:04.288 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.1
02/06 18:05:03.392 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded total of 16 new trusted certificates
02/06 18:05:03.392 vvv 1 similar message omitted vvv
02/06 18:05:03.139 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:05:02.805 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 123 default trusted certificates
02/06 18:05:02.749 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@4149d448
02/06 18:05:01.680 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:59.583 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:04:58.679 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:58.560 ERROR [Reseed      ] uter.networkdb.reseed.Reseeder: Error reseeding
java.io.IOException: Bad zip file
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:04:57.665 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.2
02/06 18:04:57.664 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.1
02/06 18:04:56.057 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded total of 16 new trusted certificates
02/06 18:04:56.057 vvv 1 similar message omitted vvv
02/06 18:04:55.870 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:04:55.678 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:55.657 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 123 default trusted certificates
02/06 18:04:55.303 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 31s
02/06 18:04:52.677 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:52.301 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 34s
02/06 18:04:50.958 WARN  [Reseed      ] net.i2p.util.SSLEepGet        : All attempts failed for https://us.reseed.i2p2.no:444/i2pseeds.su3
02/06 18:04:50.957 WARN  [Reseed      ] net.i2p.util.SSLEepGet        : ERR: doFetch failed 
java.net.ConnectException: failed to connect to us.reseed.i2p2.no/23.92.28.212 (port 444): connect failed: ETIMEDOUT (Connection timed out)
	at libcore.io.IoBridge.connect(IoBridge.java:114)
	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:192)
	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)
	at java.net.Socket.startupSocket(Socket.java:574)
	at java.net.Socket.tryAllAddresses(Socket.java:129)
	at java.net.Socket.<init>(Socket.java:179)
	at java.net.Socket.<init>(Socket.java:151)
	at javax.net.ssl.SSLSocket.<init>(SSLSocket.java:55)
	at org.apache.harmony.xnet.provider.jsse.OpenSSLSocketImpl.<init>(OpenSSLSocketImpl.java:122)
	at org.apache.harmony.xnet.provider.jsse.OpenSSLSocketFactoryImpl.createSocket(OpenSSLSocketFactoryImpl.java:64)
	at net.i2p.util.SSLEepGet.sendRequest(SSLEepGet.java:575)
	at net.i2p.util.EepGet.fetch(EepGet.java:639)
	at net.i2p.util.EepGet.fetch(EepGet.java:604)
	at net.i2p.util.EepGet.fetch(EepGet.java:594)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.fetchURL(Reseeder.java:988)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:728)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
Caused by: libcore.io.ErrnoException: connect failed: ETIMEDOUT (Connection timed out)
	at libcore.io.Posix.connect(Native Method)
	at libcore.io.BlockGuardOs.connect(BlockGuardOs.java:85)
	at libcore.io.IoBridge.connectErrno(IoBridge.java:127)
	at libcore.io.IoBridge.connect(IoBridge.java:112)
	... 22 more
02/06 18:04:50.957 WARN  [Reseed      ] uter.networkdb.reseed.Reseeder: EepGet failed on https://us.reseed.i2p2.no:444/i2pseeds.su3 : java.net.ConnectException: failed to connect to us.reseed.i2p2.no/23.92.28.212 (port 444): connect failed: ETIMEDOUT (Connection timed out)
02/06 18:04:49.676 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:49.584 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:04:48.030 INFO  [mer YoVJ 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.streaming.impl.PacketQueue$RemoveExpired@41f091a8
02/06 18:04:46.674 vvv 1 similar message omitted vvv
02/06 18:04:43.673 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:41.306 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.impl.I2PSessionImpl2$RemoveExpired@41e86f30
02/06 18:04:40.673 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:39.582 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:04:37.672 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:36.643 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job PeerTestJob: Job 3: Peer test start with delay 15s
02/06 18:04:35.305 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.impl.I2PSessionImpl$VerifyUsage@41dce7f8
02/06 18:04:34.671 vvv 1 similar message omitted vvv
02/06 18:04:31.671 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:29.581 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:04:28.669 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:04:26.812 WARN  [JobQueue 1/1] net.i2p.router.JobQueue       : Lag too long for job DB Read Job [33816ms and a run time of 166ms]
02/06 18:04:26.645 WARN  [JobQueue 1/1] net.i2p.router.JobQueue       : Lag too long for job Expire Lease Sets Job [34343ms and a run time of 1ms]
02/06 18:04:26.643 WARN  [JobQueue 3/3] net.i2p.router.JobQueue       : Lag too long for job Message debug log (disabled) [34509ms and a run time of 0ms]
02/06 18:04:26.642 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job PeerTestJob: Job 3: Peer test start with delay 25s
02/06 18:03:18.216 vvv 1 similar message omitted vvv
02/06 18:03:10.480 vvv 1 similar message omitted vvv
02/06 18:03:05.325 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:03:05.241 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:03:02.323 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:03:02.301 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 49s
02/06 18:02:59.322 vvv 2 similar messages omitted vvv
02/06 18:02:55.473 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.CommSystemFacadeImpl$NetMonitor@41271f28
02/06 18:02:55.239 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:02:53.319 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:52.300 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 59s
02/06 18:02:50.317 vvv 1 similar message omitted vvv
02/06 18:02:47.316 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:45.238 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:02:44.314 vvv 1 similar message omitted vvv
02/06 18:02:41.311 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:40.910 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 11s
02/06 18:02:38.310 vvv 1 similar message omitted vvv
02/06 18:02:35.309 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:35.235 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:02:32.308 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:30.910 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 21s
02/06 18:02:29.307 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:26.691 INFO  [mer YoVJ 1/2] net.i2p.util.SimpleTimer2     :  Pool: Streaming Timer YoVJ Active: 1/2 Completed: 0 Queued: 2
02/06 18:02:26.691 INFO  [mer YoVJ 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.streaming.impl.PacketQueue$RemoveExpired@41f091a8
02/06 18:02:26.305 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:25.235 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:02:23.967 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.impl.I2PSessionImpl2$RemoveExpired@41e86f30
02/06 18:02:23.304 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:20.965 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.client.impl.I2PSessionImpl$VerifyUsage@41dce7f8
02/06 18:02:20.909 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 31s
02/06 18:02:20.303 vvv 1 similar message omitted vvv
02/06 18:02:17.302 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:15.234 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:02:14.301 vvv 1 similar message omitted vvv
02/06 18:02:11.300 vvv 2 similar messages omitted vvv
02/06 18:02:05.296 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:02:05.233 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:02:02.779 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job CheckLeaseRequestStatus: Job 44: Check LeaseRequest Status with delay 18s
02/06 18:02:02.292 vvv 2 similar messages omitted vvv
02/06 18:01:56.289 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:55.233 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:01:53.286 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:52.778 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job CheckLeaseRequestStatus: Job 44: Check LeaseRequest Status with delay 28s
02/06 18:01:50.283 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:48.407 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@4149d448
02/06 18:01:47.282 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:45.233 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:01:44.281 vvv 1 similar message omitted vvv
02/06 18:01:41.281 vvv 2 similar messages omitted vvv
02/06 18:01:35.278 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:35.232 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:01:32.550 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 19s
02/06 18:01:32.277 vvv 2 similar messages omitted vvv
02/06 18:01:26.275 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:25.231 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:01:23.273 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:22.550 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 29s
02/06 18:01:20.991 INFO  [nal Reader 1] ent.ClientMessageEventListener: New lease set granted for destination [Destination: 
	Hash: YoVJmDGttV0crV~GC8YoCfxHDKrNtoGKtJUDLm9A0ns=
	Certificate: [Certificate: type: Null payload: null]
	PublicKey: [PublicKey: size: 256]
	SigningPublicKey: [SigningPublicKey DSA_SHA1: size: 128]]
02/06 18:01:20.980 INFO  [nal Reader 1] net.i2p.router.KeyManager     : Registering keys for destination YoVJmDGttV0crV~GC8YoCfxHDKrNtoGKtJUDLm9A0ns=
02/06 18:01:20.968 INFO  [/HTTPS Proxy] i2p.i2ptunnel.TunnelController: Acquiring session Session: YoVJ[OPEN I2P HTTP Proxy #38530]: 
02/06 18:01:20.967 INFO  [/HTTPS Proxy] net.i2p.i2ptunnel.I2PTunnel   : [1]:  adding task: HTTP Proxy on 127.0.0.1:4444
02/06 18:01:20.966 INFO  [/HTTPS Proxy] i2p.i2ptunnel.TunnelController: Client ready, listening on 127.0.0.1:4444
02/06 18:01:20.965 INFO  [/HTTPS Proxy] i2p.i2ptunnel.TunnelController: Tunnels ready for client: HTTP Proxy on 127.0.0.1:4444
02/06 18:01:20.965 INFO  [/HTTPS Proxy] lient.impl.I2PSessionMuxedImpl: [GOTDATE I2P HTTP Proxy #38530]: Change state to OPEN
02/06 18:01:20.963 INFO  [/HTTPS Proxy] lient.impl.I2PSessionMuxedImpl: [GOTDATE I2P HTTP Proxy #38530]: Lease set created with inbound tunnels after 1260ms - ready to participate in the network!
02/06 18:01:20.908 INFO  [leTimer2 2/2] .client.ClientConnectionRunner: Current leaseSet null
New leaseSet [LeaseSet: 
	Destination: [Destination: 
	Hash: YoVJmDGttV0crV~GC8YoCfxHDKrNtoGKtJUDLm9A0ns=
	Certificate: [Certificate: type: Null payload: null]
	PublicKey: [PublicKey: size: 256]
	SigningPublicKey: [SigningPublicKey DSA_SHA1: size: 128]]
	EncryptionKey: null
	SigningKey: null
	Signature: null
	Leases: #1
		[Lease: 
	End Date: Mon Feb 06 17:11:19 GMT+00:00 2017
	Gateway: [Hash: J8BxtJi9tRnb8b6nWEJVlgzca-wM7DZ9n9vueb0KxRk=]
	TunnelId: 3873135007]]
02/06 18:01:20.897 WARN  [leTimer2 2/2] .client.ClientConnectionRunner: cancelling rerequest, newer request came in: [Hash: YoVJmDGttV0crV~GC8YoCfxHDKrNtoGKtJUDLm9A0ns=]
02/06 18:01:20.272 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:19.906 vvv 1 similar message omitted vvv
02/06 18:01:19.896 INFO  [uildExecutor] .client.ClientConnectionRunner: Current leaseSet null
New leaseSet [LeaseSet: 
	Destination: null
	EncryptionKey: null
	SigningKey: null
	Signature: null
	Leases: #1
		[Lease: 
	End Date: Mon Feb 06 17:11:19 GMT+00:00 2017
	Gateway: [Hash: J8BxtJi9tRnb8b6nWEJVlgzca-wM7DZ9n9vueb0KxRk=]
	TunnelId: 267953047]]
02/06 18:01:19.795 INFO  [JobQueue 3/3] router.client.CreateSessionJob: Requesting lease set for destination [Hash: YoVJmDGttV0crV~GC8YoCfxHDKrNtoGKtJUDLm9A0ns=]
02/06 18:01:19.795 INFO  [nal Reader 2] pl.SessionStatusMessageHandler: Session created successfully
02/06 18:01:19.793 INFO  [nal Reader 1] ent.ClientMessageEventListener: Session [SessionId: 38530] established for [Hash: YoVJmDGttV0crV~GC8YoCfxHDKrNtoGKtJUDLm9A0ns=]
02/06 18:01:19.719 INFO  [nal Reader 2] lient.impl.I2PSessionMuxedImpl: [OPENING I2P HTTP Proxy]: Change state to GOTDATE
02/06 18:01:19.702 INFO  [/HTTPS Proxy] lient.impl.I2PSessionMuxedImpl: [INIT I2P HTTP Proxy]: Change state to OPENING
02/06 18:01:19.702 INFO  [/HTTPS Proxy] net.i2p.i2ptunnel.I2PTunnel   : [1]:  session added: Session: YoVJ[INIT I2P HTTP Proxy]: 
java.lang.Exception
	at net.i2p.i2ptunnel.I2PTunnel.addSession(I2PTunnel.java:338)
	at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:442)
	at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:364)
	at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:235)
	at net.i2p.i2ptunnel.I2PTunnelClientBase.startRunning(I2PTunnelClientBase.java:525)
	at net.i2p.i2ptunnel.I2PTunnelHTTPClient.startRunning(I2PTunnelHTTPClient.java:314)
	at net.i2p.i2ptunnel.I2PTunnel.runHttpClient(I2PTunnel.java:971)
	at net.i2p.i2ptunnel.TunnelController.startHttpClient(TunnelController.java:322)
	at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:281)
	at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:242)
	at net.i2p.i2ptunnel.TunnelController$1.run(TunnelController.java:222)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:01:19.702 INFO  [/HTTPS Proxy] .i2ptunnel.I2PTunnelClientBase: I2P HTTP Proxy: Built a new socket manager [s=Session: YoVJ[INIT I2P HTTP Proxy]: ]
02/06 18:01:19.702 INFO  [/HTTPS Proxy] ming.impl.I2PSocketManagerFull: Socket manager created.  
default options: conDelay=1000 maxSize=1730 rtt=0 rwin=1 resendDelay=1000 ackDelay=750 cwin=6 maxResends=8 writeTimeout=-1 readTimeout=-1 inactivityTimeout=90000 inboundBuffer=224900 maxWindowSize=128 blacklistSize=0 whitelistSize=0 maxConns=0/0/0 maxTotalConns=0/0/0
original properties: {java.vm.version=1.6.0, java.vendor.url=http://www.android.com/, java.vm.vendor.url=http://www.android.com/, i2cp.reduceIdleTime=600000, user.dir=/, i2p.dir.config=/data/data/net.i2p.android.router/files, user.home=, java.io.tmpdir=/sdcard, i2cp.tcp.port=7654, http.agent=I2P, java.version=0, i2cp.reduceQuantity=1, file.encoding=UTF-8, line.separator=
, i2ptunnel.httpclient.SSLOutproxies=false.i2p, java.vm.specification.vendor=The Android Project, android.openssl.version=OpenSSL 1.0.0e 6 Sep 2011, java.vm.vendor=The Android Project, java.class.path=., outbound.priority=10, os.arch=armv7l, user.name=, user.language=pl, java.runtime.version=0.9, networkaddress.cache.ttl=300, i2cp.messageReliability=none, wrapper.logfile=/data/data/net.i2p.android.router/files/wrapper.log, i2p.streaming.answerPings=false, http.keepAlive=false, android.icu.library.version=4.6, sun.net.inetaddr.negative.ttl=300, outbound.nickname=I2P HTTP Proxy, proxyList=false.i2p, java.vm.name=Dalvik, java.home=/system, user.region=PL, android.zlib.version=1.2.5.f-codeaurora-mods-v1, outbound.length=2, java.runtime.name=Android Runtime, java.boot.class.path=/system/framework/core.jar:/system/framework/core-junit.jar:/system/framework/bouncycastle.jar:/system/framework/ext.jar:/system/framework/framework.jar:/system/framework/android.policy.jar:/system/framework/services.jar:/system/framework/apache-xml.jar:/system/framework/filterfw.jar, java.library.path=/vendor/lib:/system/lib, inbound.length=2, file.separator=/, inbound.lengthVariance=0, java.specification.vendor=The Android Project, java.vm.specification.version=0.9, inbound.nickname=I2P HTTP Proxy, i2cp.tcp.host=127.0.0.1, sun.net.inetaddr.ttl=300, i2p.dir.base=/data/data/net.i2p.android.router/files, user.timezone=GMT, router.version=0.9.28, os.name=Linux, i2cp.reduceOnIdle=true, i2p.streaming.connectDelay=1000, path.separator=:, java.ext.dirs=, i2cp.dontPublishLeaseSet=true, os.version=3.0.8-perf, java.specification.name=Dalvik Core Library, java.compiler=, android.icu.unicode.version=6.0, java.class.version=50.0, outbound.lengthVariance=0, java.vendor=The Android Project, java.vm.specification.name=Dalvik Virtual Machine Specification, networkaddress.cache.negative.ttl=300, java.specification.version=0.9}
02/06 18:01:19.672 WARN  [tarter Irc2P] i2p.i2ptunnel.TunnelController: No sessions to acquire? for Irc2P
02/06 18:01:19.672 INFO  [tarter Irc2P] net.i2p.i2ptunnel.I2PTunnel   : [2]:  adding task: IRC Client on 127.0.0.1:6668
02/06 18:01:19.672 INFO  [tarter Irc2P] i2p.i2ptunnel.TunnelController: Client ready, listening on 127.0.0.1:6668, delaying tunnel open until required
02/06 18:01:19.643 WARN  [.postman.i2p] i2p.i2ptunnel.TunnelController: No sessions to acquire? for pop3.postman.i2p
02/06 18:01:19.643 INFO  [.postman.i2p] net.i2p.i2ptunnel.I2PTunnel   : [4]:  adding task: 7660 -> pop.postman.i2p:110
02/06 18:01:19.642 INFO  [.postman.i2p] i2p.i2ptunnel.TunnelController: Client ready, listening on 127.0.0.1:7660, delaying tunnel open until required
02/06 18:01:19.610 WARN  [tarter Irc2P] naming.SingleFileNamingService: Error loading hosts file /data/data/net.i2p.android.router/files/privatehosts.txt
java.io.FileNotFoundException: /data/data/net.i2p.android.router/files/privatehosts.txt: open failed: ENOENT (No such file or directory)
	at libcore.io.IoBridge.open(IoBridge.java:406)
	at java.io.FileInputStream.<init>(FileInputStream.java:78)
	at net.i2p.client.naming.SingleFileNamingService.getKey(SingleFileNamingService.java:148)
	at net.i2p.client.naming.SingleFileNamingService.lookup(SingleFileNamingService.java:89)
	at net.i2p.client.naming.MetaNamingService.lookup(MetaNamingService.java:110)
	at net.i2p.client.naming.HostsTxtNamingService.lookup(HostsTxtNamingService.java:66)
	at net.i2p.client.naming.NamingService.lookup(NamingService.java:62)
	at net.i2p.client.streaming.I2PSocketAddress.<init>(I2PSocketAddress.java:48)
	at net.i2p.i2ptunnel.I2PTunnelIRCClient.buildAddresses(I2PTunnelIRCClient.java:104)
	at net.i2p.i2ptunnel.I2PTunnelIRCClient.<init>(I2PTunnelIRCClient.java:66)
	at net.i2p.i2ptunnel.I2PTunnel.runIrcClient(I2PTunnel.java:1104)
	at net.i2p.i2ptunnel.TunnelController.startIrcClient(TunnelController.java:345)
	at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:283)
	at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:242)
	at net.i2p.i2ptunnel.TunnelController$1.run(TunnelController.java:222)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
Caused by: libcore.io.ErrnoException: open failed: ENOENT (No such file or directory)
	at libcore.io.Posix.open(Native Method)
	at libcore.io.BlockGuardOs.open(BlockGuardOs.java:110)
	at libcore.io.IoBridge.open(IoBridge.java:390)
	... 16 more
02/06 18:01:19.606 WARN  [IRC welterde] i2p.i2ptunnel.TunnelController: No sessions to acquire? for IRC welterde
02/06 18:01:19.605 INFO  [IRC welterde] net.i2p.i2ptunnel.I2PTunnel   : [5]:  adding task: IRC Client on 127.0.0.1:6669
02/06 18:01:19.605 INFO  [IRC welterde] i2p.i2ptunnel.TunnelController: Client ready, listening on 127.0.0.1:6669, delaying tunnel open until required
02/06 18:01:19.585 WARN  [.postman.i2p] i2p.i2ptunnel.TunnelController: No sessions to acquire? for smtp.postman.i2p
02/06 18:01:19.585 INFO  [.postman.i2p] net.i2p.i2ptunnel.I2PTunnel   : [3]:  adding task: 7659 -> smtp.postman.i2p:25
02/06 18:01:19.585 INFO  [.postman.i2p] i2p.i2ptunnel.TunnelController: Client ready, listening on 127.0.0.1:7659, delaying tunnel open until required
02/06 18:01:19.557 vvv 3 similar messages omitted vvv
02/06 18:01:19.460 WARN  [.postman.i2p] naming.SingleFileNamingService: Error loading hosts file /data/data/net.i2p.android.router/files/privatehosts.txt
java.io.FileNotFoundException: /data/data/net.i2p.android.router/files/privatehosts.txt: open failed: ENOENT (No such file or directory)
	at libcore.io.IoBridge.open(IoBridge.java:406)
	at java.io.FileInputStream.<init>(FileInputStream.java:78)
	at net.i2p.client.naming.SingleFileNamingService.getKey(SingleFileNamingService.java:148)
	at net.i2p.client.naming.SingleFileNamingService.lookup(SingleFileNamingService.java:89)
	at net.i2p.client.naming.MetaNamingService.lookup(MetaNamingService.java:110)
	at net.i2p.client.naming.HostsTxtNamingService.lookup(HostsTxtNamingService.java:66)
	at net.i2p.client.naming.NamingService.lookup(NamingService.java:62)
	at net.i2p.client.streaming.I2PSocketAddress.<init>(I2PSocketAddress.java:48)
	at net.i2p.i2ptunnel.I2PTunnelClient.buildAddresses(I2PTunnelClient.java:89)
	at net.i2p.i2ptunnel.I2PTunnelClient.<init>(I2PTunnelClient.java:55)
	at net.i2p.i2ptunnel.I2PTunnel.runClient(I2PTunnel.java:894)
	at net.i2p.i2ptunnel.TunnelController.startClient(TunnelController.java:478)
	at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:291)
	at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:242)
	at net.i2p.i2ptunnel.TunnelController$1.run(TunnelController.java:222)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
Caused by: libcore.io.ErrnoException: open failed: ENOENT (No such file or directory)
	at libcore.io.Posix.open(Native Method)
	at libcore.io.BlockGuardOs.open(BlockGuardOs.java:110)
	at libcore.io.IoBridge.open(IoBridge.java:390)
	... 16 more
02/06 18:01:18.988 INFO  [BOBListener ] net.i2p.BOB.BOB               : BOB is now running.
02/06 18:01:18.982 WARN  [tarter Irc2P] naming.SingleFileNamingService: Error loading hosts file /data/data/net.i2p.android.router/files/privatehosts.txt
java.io.FileNotFoundException: /data/data/net.i2p.android.router/files/privatehosts.txt: open failed: ENOENT (No such file or directory)
	at libcore.io.IoBridge.open(IoBridge.java:406)
	at java.io.FileInputStream.<init>(FileInputStream.java:78)
	at net.i2p.client.naming.SingleFileNamingService.getKey(SingleFileNamingService.java:148)
	at net.i2p.client.naming.SingleFileNamingService.lookup(SingleFileNamingService.java:89)
	at net.i2p.client.naming.MetaNamingService.lookup(MetaNamingService.java:110)
	at net.i2p.client.naming.HostsTxtNamingService.lookup(HostsTxtNamingService.java:66)
	at net.i2p.client.naming.NamingService.lookup(NamingService.java:62)
	at net.i2p.client.streaming.I2PSocketAddress.<init>(I2PSocketAddress.java:48)
	at net.i2p.i2ptunnel.I2PTunnelIRCClient.buildAddresses(I2PTunnelIRCClient.java:104)
	at net.i2p.i2ptunnel.I2PTunnelIRCClient.<init>(I2PTunnelIRCClient.java:66)
	at net.i2p.i2ptunnel.I2PTunnel.runIrcClient(I2PTunnel.java:1104)
	at net.i2p.i2ptunnel.TunnelController.startIrcClient(TunnelController.java:345)
	at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:283)
	at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:242)
	at net.i2p.i2ptunnel.TunnelController$1.run(TunnelController.java:222)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
Caused by: libcore.io.ErrnoException: open failed: ENOENT (No such file or directory)
	at libcore.io.Posix.open(Native Method)
	at libcore.io.BlockGuardOs.open(BlockGuardOs.java:110)
	at libcore.io.IoBridge.open(IoBridge.java:390)
	... 16 more
02/06 18:01:18.964 WARN  [/HTTPS Proxy] net.i2p.i2ptunnel.I2PTunnel   : args[1] == [false] and rejected explicitly
02/06 18:01:17.271 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:15.231 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:01:14.270 vvv 3 similar messages omitted vvv
02/06 18:01:05.267 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:05.230 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:01:02.265 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:01:02.132 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job LoadClientsJob: Job 12: Start Clients with delay 16s
02/06 18:00:59.263 vvv 1 similar message omitted vvv
02/06 18:00:56.262 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:55.229 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:00:53.261 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:52.131 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job LoadClientsJob: Job 12: Start Clients with delay 26s
02/06 18:00:50.258 vvv 1 similar message omitted vvv
02/06 18:00:47.256 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:45.228 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:00:44.254 vvv 2 similar messages omitted vvv
02/06 18:00:38.250 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:35.349 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 16s
02/06 18:00:35.248 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:35.226 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:00:32.247 vvv 1 similar message omitted vvv
02/06 18:00:29.245 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:26.663 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded total of 16 new trusted certificates
02/06 18:00:26.663 vvv 1 similar message omitted vvv
02/06 18:00:26.264 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:00:26.242 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:26.010 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 123 default trusted certificates
02/06 18:00:25.348 INFO  [Queue Pumper] net.i2p.router.JobQueue       : Failsafe re-sort job WriteJob: Job 2: Message debug log (disabled) with delay 26s
02/06 18:00:25.225 INFO  [leTimer2 1/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:00:23.241 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:22.331 ERROR [Reseed      ] uter.networkdb.reseed.Reseeder: Error reseeding
java.io.IOException: Bad zip file
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:00:21.348 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.2
02/06 18:00:21.348 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.1
02/06 18:00:20.778 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded total of 16 new trusted certificates
02/06 18:00:20.778 vvv 1 similar message omitted vvv
02/06 18:00:20.404 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:00:20.239 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.transport.udp.UDPTransport$ExpirePeerEvent@41420488
02/06 18:00:20.153 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 123 default trusted certificates
02/06 18:00:18.524 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Blocklist processing finished, time: 1
02/06 18:00:18.524 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Result is 27 entries
02/06 18:00:18.524 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Merged 0 overlapping entries
02/06 18:00:18.524 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Read 27 total entries from the blocklists
02/06 18:00:18.524 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Merged Stats
02/06 18:00:18.523 WARN  [JobQueue 3/3] net.i2p.router.Blocklist      : Blocklist file not found: /data/data/net.i2p.android.router/files/docs/feed/blocklist/blocklist.txt
02/06 18:00:18.523 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Blocklist processing finished, time: 7
02/06 18:00:18.523 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Blocking 592708877 IPs and 0 hashes
02/06 18:00:18.523 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Read 27 valid entries from the blocklist /data/data/net.i2p.android.router/files/blocklist.txt
02/06 18:00:18.523 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Removed 58 bad entries and comment lines
02/06 18:00:18.523 INFO  [JobQueue 3/3] net.i2p.router.Blocklist      : Stats for /data/data/net.i2p.android.router/files/blocklist.txt
02/06 18:00:18.523 WARN  [JobQueue 3/3] net.i2p.router.Blocklist      : Adding IP to blocklist: 2400:8500:1302:816:a150:95:128:165b
02/06 18:00:18.522 WARN  [JobQueue 3/3] net.i2p.router.Blocklist      : Adding IP to blocklist: 2001:19f0:7402:24d:5400:ff:fe41:9153
02/06 18:00:18.522 WARN  [JobQueue 3/3] net.i2p.router.Blocklist      : Adding IP to blocklist: 2001:19f0:7001:d99:5400:ff:fe41:829c
02/06 18:00:16.056 ERROR [Reseed      ] uter.networkdb.reseed.Reseeder: Error reseeding
java.io.IOException: Bad zip file
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:00:15.224 INFO  [leTimer2 2/2] net.i2p.util.SimpleTimer2     : Reschedule after run: net.i2p.router.util.DecayingBloomFilter$DecayEvent@41580958
02/06 18:00:14.638 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.2
02/06 18:00:14.638 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.1
02/06 18:00:14.042 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded total of 16 new trusted certificates
02/06 18:00:14.042 vvv 1 similar message omitted vvv
02/06 18:00:13.846 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 8 trusted certificates from /data/data/net.i2p.android.router/files/certificates/ssl
02/06 18:00:13.553 INFO  [Reseed      ] net.i2p.util.SSLEepGet        : Loaded 123 default trusted certificates
02/06 18:00:09.340 ERROR [Reseed      ] uter.networkdb.reseed.Reseeder: Error reseeding
java.io.IOException: Bad zip file
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
	at java.lang.Thread.run(Thread.java:856)
	at net.i2p.util.I2PThread.run(I2PThread.java:103)
02/06 18:00:08.047 INFO  [Reseed      ] t.i2p.util.I2PSSLSocketFactory: Not supported in this JVM: TLSv1.2

Subtickets (add)

Change History (16)

comment:1 Changed 2 years ago by zzz

  • Status changed from new to open

I'm not completely sure (the reseeds are managed by somebody else), but I think that the last of our insecure reseeds (the ones that didn't require TLS 1.2) were shut down in mid-December 2016.

It appears from a quick search that TLS v1.2 isn't available until 4.1 Jelly Bean API 16 (2012) https://developer.android.com/reference/javax/net/ssl/SSLSocket.html - We do enable it if supported but disabled.

We currently claim support for Android 2.3 (API 0) or higher on https://geti2p.net/en/download but if
we really don't have any reseeds left, we'll have to change that, or come up with a workaround. For further research.

comment:2 Changed 2 years ago by zzz

according to backup, only download.xxlspeed.com doesn't support TLS 1.0, but it failed SNI. Additionally, us.reseed.i2p2.no was shut down in mid-December. 3 (host not named) reseeds failed for 'bad zip file', don't know why. netdb.i2p2.no failed for SNI. Most of our reseeds require SNI. It's not clear from a quick google search if SNI is supported in Android 4.0.4, but it's based on Java 6 which doesn't have good support.

Of all that, the 'bad zip file' is most worrisome because that means the SSL/TLS and su3 part worked, but then it couldn't unzip the file. We don't have looging for the details above, although there may be something in the wrapper log. If the Golang reseed app is making bad zip files, or somehow incompatible with our unzipper, that's a problem.

I don't believe I have any Android device that old that's not broken. str4d can you reproduce?

In any case my initial thought that all the reseeds require TLS 1.2 is completely wrong.

comment:3 Changed 16 months ago by str4d

I don't have with me devices old enough to test this, so I will play with some virtual devices to try and replicate.

Relatedly, in July Google finally removed support for API 13 and below from its support library, making the oldest supported version 4.0. If we are having the above issues in 4.0.4, then we are very likely also having them on Gingerbread devices (2.3, API 10), and should consider just dropping support for them. But if we can fix this for 4.0.4 and retain API 10 support, I'm more ambivalent about leaving it in.

comment:4 Changed 16 months ago by str4d

Here's what I see on various APIs:

API 10

11-26 09:37:33.482 1455-1466/net.i2p.android.debug I/I2P: ReseedChecker [JobQueue 4/4] Downloading peer router information for a new I2P installation
11-26 09:37:33.482 1455-1466/net.i2p.android.debug I/I2P: UDPTransport [JobQueue 1/1] UDP selected random port XXXXX
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.onion.im/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.onion.im - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://i2p-0.manas.ca:8443/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected i2p-0.manas.ca - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://download.xxlspeed.com/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected download.xxlspeed.com - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://netdb.i2p2.no/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected netdb.i2p2.no - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://i2p.mooo.com/netDb/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected i2p.mooo.com - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://i2p.manas.ca:8443/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected i2p.manas.ca - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://i2pseed.creativecowpat.net:8443/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected i2pseed.creativecowpat.net - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://itoopie.atomike.ninja/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected itoopie.atomike.ninja - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.482 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.atomike.ninja/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.atomike.ninja - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.492 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.i2p-projekt.de/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.i2p-projekt.de - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:37:33.492 1455-1466/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.memcpy.io/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.memcpy.io - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)

All eleven reseeds fail hostname verification.

API 15

11-26 09:58:28.080 1442-1463/net.i2p.android.debug I/I2P: ReseedChecker [JobQueue 4/4] Downloading peer router information for a new I2P installation
11-26 09:58:28.080 1442-1463/net.i2p.android.debug I/I2P: UDPTransport [JobQueue 1/1] UDP selected random port 15632
11-26 09:58:28.080 1442-1463/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.onion.im/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.onion.im - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.atomike.ninja/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.atomike.ninja - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.memcpy.io/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.memcpy.io - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.i2p-projekt.de/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.i2p-projekt.de - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://download.xxlspeed.com/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected download.xxlspeed.com - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://netdb.i2p2.no/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected netdb.i2p2.no - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://i2p-0.manas.ca:8443/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected i2p-0.manas.ca - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 09:58:28.080 1442-1463/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)

Four of the reseeds pass hostname verification now, but fail on unzip:

API 16

11-26 10:02:14.590 1937-1958/net.i2p.android.debug I/I2P: ReseedChecker [JobQueue 4/5] Downloading peer router information for a new I2P installation
11-26 10:02:14.590 1937-1958/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
11-26 10:02:14.590 1937-1958/net.i2p.android.debug E/I2P: 11/26 10:01:49.702 ^^^ 1 similar message omitted ^^^
11-26 10:02:14.590 1937-1958/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://download.xxlspeed.com/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected download.xxlspeed.com - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 10:02:14.590 1937-1958/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.memcpy.io/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.memcpy.io - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 10:02:14.590 1937-1958/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
11-26 10:02:14.590 1937-1958/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.atomike.ninja/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.atomike.ninja - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 10:02:14.590 1937-1958/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
11-26 10:02:14.600 1937-1958/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://netdb.i2p2.no/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected netdb.i2p2.no - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
11-26 10:02:14.600 1937-1958/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.IOException: Bad zip file java.io.IOException: Bad zip file
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:792)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:745)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:691)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:542)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:519)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:321)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:295)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
11-26 10:02:14.600 1937-1958/net.i2p.android.debug E/I2P: 11/26 10:01:57.837 ^^^ 1 similar message omitted ^^^
11-26 10:02:14.600 1937-1958/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.i2p-projekt.de/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.i2p-projekt.de - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)

Two more reseeds pass hostname verification:

All six of those still fail unzip.

API 17

11-26 10:16:59.692 2086-2130/net.i2p.android.debug I/I2P: ReseedChecker [JobQueue 4/5] Downloading peer router information for a new I2P installation

Reseeding works without any issues, and the router successfully builds tunnels.

comment:5 Changed 16 months ago by zzz

@str4d good work. Most of the reseeds have moved to needing SNI. The reseed maintainer notes that, and for some also notes them as 'Java 8+ only' but I'm not sure what that means or its implications for old Android.

In the reseeder code, we assume all Android supports SNI, but that looks to be wrong.

Based on your test results, could you update the code in Reseeder.java to exclude the ones that don't work? See isSNISupported() and comments. You could add a test with SystemVersion?.getAndroidVersion(). If there's others that don't support SNI, add them at Reseeder.java line 555

You may wish to discuss this with backup.

Don't know what the unzip issue is.

comment:6 Changed 16 months ago by zzz

Check wherever the system log is, FileUtil?.extractZip() logs there.

comment:7 Changed 16 months ago by zzz

@str4d

re: my comment 5: Rereading comments 1-3, it appears that 'java 8 only' means 'TLS 1.2 only' ? It's not in Java 6, it is in Java 7, not enabled by default, but we do enable it in I2PSSLSocketFactory.

As we are at Java 7 minimum for desktop, the current isSNISupported() {return java7
android} returns true for all platforms.

re: my comment 6: I see you entered ticket #2099 for this. I assume it's not a blocker for this ticket, as you can check the system log in your 'virtual devices', and/or make a temporary code change, to see what's happening, correct?

Let's get to the bottom of this quickly so we have time to make any changes necessary.

comment:8 Changed 16 months ago by str4d

Not a blocker, no - just a bit annoying to get the pieces in place. But I'll figure something out.

comment:9 Changed 16 months ago by str4d

After hacking i2p.jar to have FileUtil.extractZip() throw errors, this is what I get on API 16:

12-01 17:26:35.108 1838-1859/net.i2p.android.debug I/I2P: ReseedChecker [JobQueue 4/5] Downloading peer router information for a new I2P installation
12-01 17:26:35.108 1838-1859/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://download.xxlspeed.com/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected download.xxlspeed.com - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
12-01 17:26:35.108 1838-1859/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://netdb.i2p2.no/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected netdb.i2p2.no - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
12-01 17:26:35.108 1838-1859/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p-DXXAKTvU.tmp/reseed-586877800.zip: open failed: ENOENT (No such file or directory) java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p-DXXAKTvU.tmp/reseed-586877800.zip: open failed: ENOENT (No such file or directory)
                                                              at libcore.io.IoBridge.open(IoBridge.java:416)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:118)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:150)
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:146)
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:119)
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:118)
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:102)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:793)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:746)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:692)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:543)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:520)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:322)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:296)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
                                                           Caused by: libcore.io.ErrnoException: open failed: ENOENT (No such file or directory)
                                                              at libcore.io.Posix.open(Native Method)
                                                              at libcore.io.BlockGuardOs.open(BlockGuardOs.java:110)
                                                              at libcore.io.IoBridge.open(IoBridge.java:400)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:118) 
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:150) 
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:146) 
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:119) 
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:118) 
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:102) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:793) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:746) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:692) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:543) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:520) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:322) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:296) 
                                                              at java.lang.Thread.run(Thread.java:856) 
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103) 
12-01 17:26:35.118 1838-1859/net.i2p.android.debug E/I2P: 12/01 17:26:19.393 ^^^ 3 similar messages omitted ^^^
12-01 17:26:35.118 1838-1859/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.memcpy.io/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.memcpy.io - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
12-01 17:26:35.118 1838-1859/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.i2p-projekt.de/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.i2p-projekt.de - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
12-01 17:26:35.118 1838-1859/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p-DXXAKTvU.tmp/reseed-77202012.zip: open failed: ENOENT (No such file or directory) java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p-DXXAKTvU.tmp/reseed-77202012.zip: open failed: ENOENT (No such file or directory)
                                                              at libcore.io.IoBridge.open(IoBridge.java:416)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:118)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:150)
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:146)
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:119)
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:118)
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:102)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:793)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:746)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:692)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:543)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:520)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:322)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:296)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
                                                           Caused by: libcore.io.ErrnoException: open failed: ENOENT (No such file or directory)
                                                              at libcore.io.Posix.open(Native Method)
                                                              at libcore.io.BlockGuardOs.open(BlockGuardOs.java:110)
                                                              at libcore.io.IoBridge.open(IoBridge.java:400)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:118) 
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:150) 
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:146) 
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:119) 
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:118) 
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:102) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:793) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:746) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:692) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:543) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:520) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:322) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:296) 
                                                              at java.lang.Thread.run(Thread.java:856) 
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103) 
12-01 17:26:35.118 1838-1859/net.i2p.android.debug W/I2P: Reseeder [Reseed] EepGet failed on https://reseed.atomike.ninja/i2pseeds.su3 : javax.net.ssl.SSLHandshakeException: SSL hostname verify failed, Expected reseed.atomike.ninja - set i2p.disableSSLHostnameVerification=true to disable verification (dangerous!)
12-01 17:26:35.128 1838-1859/net.i2p.android.debug E/I2P: Reseeder [Reseed] Error reseeding java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p-DXXAKTvU.tmp/reseed-304135305.zip: open failed: ENOENT (No such file or directory) java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p-DXXAKTvU.tmp/reseed-304135305.zip: open failed: ENOENT (No such file or directory)
                                                              at libcore.io.IoBridge.open(IoBridge.java:416)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:118)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:150)
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:146)
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:119)
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:118)
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:102)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:793)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:746)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:692)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:543)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:520)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:322)
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:296)
                                                              at java.lang.Thread.run(Thread.java:856)
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103)
                                                           Caused by: libcore.io.ErrnoException: open failed: ENOENT (No such file or directory)
                                                              at libcore.io.Posix.open(Native Method)
                                                              at libcore.io.BlockGuardOs.open(BlockGuardOs.java:110)
                                                              at libcore.io.IoBridge.open(IoBridge.java:400)
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:118) 
                                                              at java.io.RandomAccessFile.<init>(RandomAccessFile.java:150) 
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:146) 
                                                              at java.util.zip.ZipFile.<init>(ZipFile.java:119) 
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:118) 
                                                              at net.i2p.util.FileUtil.extractZip(FileUtil.java:102) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:793) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:746) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:692) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:543) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:520) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:322) 
                                                              at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:296) 
                                                              at java.lang.Thread.run(Thread.java:856) 
                                                              at net.i2p.util.I2PThread.run(I2PThread.java:103) 
12-01 17:26:35.128 1838-1859/net.i2p.android.debug E/I2P: 12/01 17:26:25.079 ^^^ 1 similar message omitted ^^^

Inspecting the emulator, it seems that the temporary folder has been created, but there are no reseed files in it.

comment:10 Changed 16 months ago by str4d

Here's a debug trace for one of the reseeds:

12-01 17:33:50.198: I/I2P(1838): SSLEepGet [Reseed] Loaded 124 default trusted certificates
12-01 17:33:50.198: I/I2P(1838): SSLEepGet [Reseed] Loaded 6 trusted certificates from /data/data/net.i2p.android.debug/files/certificates/ssl
12-01 17:33:50.198: I/I2P(1838): 12/01 17:33:39.776 ^^^ 1 similar message omitted ^^^
12-01 17:33:50.208: I/I2P(1838): SSLEepGet [Reseed] Loaded total of 12 new trusted certificates
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Fetching (proxied? false) url=https://i2pseed.creativecowpat.net:8443/i2pseeds.su3
12-01 17:33:50.208: D/I2P(1838): SimpleTimer2 [Reseed] Scheduling: SocketTimeout started on 2017/12/01 05:33:39.243 idle for 0ms cancelled? false timeout = 45000 state: IDLE
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Requesting https://i2pseed.creativecowpat.net:8443/i2pseeds.su3
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Request: [GET /i2pseeds.su3 HTTP/1.1
12-01 17:33:50.208: D/I2P(1838): Host: i2pseed.creativecowpat.net:8443
12-01 17:33:50.208: D/I2P(1838): Cache-control: no-cache
12-01 17:33:50.208: D/I2P(1838): Pragma: no-cache
12-01 17:33:50.208: D/I2P(1838): If-Modified-Since: Wed, 1 Nov 2017 17:33:39 GMT
12-01 17:33:50.208: D/I2P(1838): Accept-Encoding: gzip
12-01 17:33:50.208: D/I2P(1838): User-Agent: Wget/1.11.4
12-01 17:33:50.208: D/I2P(1838): Connection: close
12-01 17:33:50.208: D/I2P(1838): 
12-01 17:33:50.208: D/I2P(1838): ]
12-01 17:33:50.208: I/I2P(1838): I2PSSLSocketFactory [Reseed] Added, previously disabled: TLSv1.1
12-01 17:33:50.208: I/I2P(1838): I2PSSLSocketFactory [Reseed] Added, previously disabled: TLSv1.2
12-01 17:33:50.208: D/I2P(1838): I2PSSLSocketFactory [Reseed] Selected: [TLSv1, TLSv1.1, TLSv1.2]
12-01 17:33:50.208: D/I2P(1838): I2PSSLSocketFactory [Reseed] Selected: [TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA, TLS_EMPTY_RENEGOTIATION_INFO_SCSV, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Request flushed
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Status line: [HTTP/1.1 200 OK]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] rc: 200 for https://i2pseed.creativecowpat.net:8443/i2pseeds.su3
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [Connection] = [close]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [Content-Disposition] = [attachment; filename=i2pseeds.su3]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [Content-Length] = [71942]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [Content-Type] = [application/octet-stream]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [X-Ratelimit-Limit] = [4]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [X-Ratelimit-Remaining] = [3]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [X-Ratelimit-Reset] = [900]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Header line: [Date] = [Fri, 01 Dec 2017 17:33:40 GMT]
12-01 17:33:50.208: D/I2P(1838): SSLEepGet [Reseed] Headers read completely, reading 71942
12-01 17:33:50.208: E/I2P(1838): Reseeder [Reseed] Error reseeding java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p--8yWSR-~.tmp/reseed-707451872.zip: open failed: ENOENT (No such file or directory) java.io.FileNotFoundException: /data/data/net.i2p.android.debug/files/tmp/i2p--8yWSR-~.tmp/reseed-707451872.zip: open failed: ENOENT (No such file or directory)
12-01 17:33:50.208: E/I2P(1838): 	at libcore.io.IoBridge.open(IoBridge.java:416)
12-01 17:33:50.208: E/I2P(1838): 	at java.io.RandomAccessFile.<init>(RandomAccessFile.java:118)
12-01 17:33:50.208: E/I2P(1838): 	at java.io.RandomAccessFile.<init>(RandomAccessFile.java:150)
12-01 17:33:50.208: E/I2P(1838): 	at java.util.zip.ZipFile.<init>(ZipFile.java:146)
12-01 17:33:50.208: E/I2P(1838): 	at java.util.zip.ZipFile.<init>(ZipFile.java:119)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.util.FileUtil.extractZip(FileUtil.java:118)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.util.FileUtil.extractZip(FileUtil.java:102)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractZip(Reseeder.java:822)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.extractSU3(Reseeder.java:793)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3OrZip(Reseeder.java:746)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseedSU3(Reseeder.java:692)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:543)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.reseed(Reseeder.java:520)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run2(Reseeder.java:322)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.router.networkdb.reseed.Reseeder$ReseedRunner.run(Reseeder.java:296)
12-01 17:33:50.208: E/I2P(1838): 	at java.lang.Thread.run(Thread.java:856)
12-01 17:33:50.208: E/I2P(1838): 	at net.i2p.util.I2PThread.run(I2PThread.java:103)
12-01 17:33:50.208: E/I2P(1838): Caused by: libcore.io.ErrnoException: open failed: ENOENT (No such file or directory)
12-01 17:33:50.208: E/I2P(1838): 	at libcore.io.Posix.open(Native Method)
12-01 17:33:50.208: E/I2P(1838): 	at libcore.io.BlockGuardOs.open(BlockGuardOs.java:110)
12-01 17:33:50.208: E/I2P(1838): 	at libcore.io.IoBridge.open(IoBridge.java:400)
12-01 17:33:50.208: E/I2P(1838): 	... 16 more

comment:11 Changed 16 months ago by zzz

So we successfully extracted the data from the su3, wrote the zip file, and closed it, but then on reopen in the unzipper (and in the same thread) the file isn't there? I don't get it. Something unique to Android file systems or SD cards? Or we aren't doing strict POSIX?

If it's POSIX, see the line if (SHOULD_SYNC) in DataHelper?.storeProps. Adding the flush and sync to the SU3File.verifyAndMigrate() finally block would fix it if that's the problem. It's expensive...

comment:12 Changed 16 months ago by zzz

  • Milestone changed from undecided to 0.9.33
  • Priority changed from major to blocker
  • Summary changed from 0 active peers and "ready tunnels" to Android: Failed to reseed on old versions

Reworded summary and setting as blocker for 0.9.33.
Note that OP's 4.0.4 is API 15.

comment:13 Changed 16 months ago by zzz

POSIX flush and sync added to SU3File.verifyAndMigrate() in adca7d1c74352996ec6121863557136ab9b53c1c to be 0.9.32-15
untested, please test

comment:14 Changed 14 months ago by str4d

Doesn't appear to help.

comment:15 Changed 14 months ago by str4d

  • Milestone changed from 0.9.33 to 0.9.34

Bumping to .34 due to lack of time (I've already spent several entire weekends trying to figure out what is going on here).

comment:16 Changed 12 months ago by zzz

  • Milestone changed from 0.9.34 to 0.9.35
  • Owner changed from str4d to meeh
  • Priority changed from blocker to major
  • Status changed from open to assigned

Reassigning and marking non-blocker as per 2018-04-03 meeting

Note: See TracTickets for help on using tickets.